<?php // BISMILLAHIRRAHMANIRRAHEEM
$SearchCharLength = 3;
?>
<!doctype html public "-//w3c//dtd html 4.01 transitional//de">
<html lang="de">

<Head>
    <Title>mone</title>
    <meta name="robots" content="nofollow">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <link rel="stylesheet" href="style.css" />
    <link rel="stylesheet" type="text/css" href="style_archiv.css" />

    <script language="JavaScript">
    function Process(obj, gparams = "") { // Internally calls xmlhttpreq to send http request to Process.php
        var url;
        if (gparams != "") {
            url = "houselist.php?" + gparams;
        } else {
            url = "houselist.php";
        }
        method = "POST";
        params = JSON.stringify(
            obj); // Prepare JSON, use console.log(obj) or console.log(params) to view in browser f-12 -> console.
        var ret = xmlhttpreq(url, method, params);
        if (!ret[0]) { // http request error, AOOZOBILLAH
            alert("Error: " + ret[1]);
            ShowNotice("error", "Error (CEC-1)", "Critical error: xmlhttp did not succeed.", ret[1]);
            console.log(ret);
        } else { // http request successful, ALHAMDOLILLAH
            //console.log("else");
            try {
                ret[1].onreadystatechange = function() {
                    if (ret[1].readyState == 4) // http request final stage/ response complete ALHAMDOLILLAH
                    {
                        console.log(ret[1].responseText);
                        if (this.status == 200) // http server responded 200 ALHAMDOLILLAH
                        {
                            try {
                                obj = JSON.parse(ret[1].responseText); // Convert response from JSON to array
                                if (obj["status"] ==
                                    true) { // php script completed request successfully, ALHAMDOLILLAH
                                    window[obj["Action"].trim() + "Completed"](obj);
                                } else { // php script encountered error, display error
                                    if (obj["message"]) {
                                        ShowNotice("fail", "Error (BEC-2)", "Error occurred. Process response: ",
                                            "<span class=\"errordetails\">" + obj["message"] + "</span>");
                                    } else {
                                        ShowNotice("fail", "Error (BEC-3)",
                                            "Error occurred. Process did not return any error message.", "");
                                    }
                                }
                            } catch (e) {
                                ShowNotice("error", "Error (BEC-1)",
                                    "Javascript error. This could be due to an unexpected response by backend script.",
                                    "<span class=\"errordetails\"><span class=\"errorcategory\">Javascript error:</span><br />" +
                                    e.name + "<br />" + e.message +
                                    "<br /><br /><span class=\"errorcategory\">PHP response:</span><br />" +
                                    ret[1].responseText + "</span>");
                            }
                        } else { // http did not respond 200
                            ShowNotice("fail", "Error (SEC-1)", "Error occurred. Server response: ", this.status);
                        }
                    }
                };
            } catch (e) {
                ShowNotice("error", "Error (CEC-2)", "Critical error:", e.message);
                alert("Javascript Error: " + e.message);
            }
        }
    }

    function xmlhttpreq(url, method, params) { // backend function, not to modify INSHAALLAH
        try {
            var bparams;
            if (method == "GET") {
                url = url + "?" + params;
                bparams = "";
            } else { // POST
                bparams = params;
            }
            if (window.XMLHttpRequest) {
                XMLHTTP = new XMLHttpRequest();
            } else {
                XMLHTTP = new ActiveXObject("Microsoft.XMLHTTP");
            }
            /*
            XMLHTTP.onreadystatechange = function() {
            	if (XMLHTTP.readyState == 4 && this.status == 200)
            	{
            		return [true, XMLHTTP.responseText];
            	}
            };*/
            //h = "Ftype=" + document.getElementById("Ftype").value + "&Username=" + document.getElementById("Username").value + "&Password=" + document.getElementById("Password").value;
            XMLHTTP.open(method, url, true);
            XMLHTTP.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
            XMLHTTP.setRequestHeader('X-Requested-With', 'XMLHttpRequest'); // To let Django/ ROR know its AJAX request
            XMLHTTP.send(bparams);
            return [true, XMLHTTP];
        } catch (err) {
            return [false, err];
        }
    }

    function SearchPatient(mode = "Timer") {
        var rect = document.getElementById("B_patNr").getBoundingClientRect();
        var sdiv = document.getElementById("searchdiv");
        var data = document.getElementById("B_patNr").value;
        var xpos = rect.left + 10;
        var ypos = rect.top + rect.height + 5;
        var width = rect.width + 600;
        var height = 500;
        //console.log(data);
        //console.log(data.trim().length);
        if ((mode == "Manual") || (data.trim().length >= <?php echo $SearchCharLength; ?>)) {
            sdiv.style.position = "absolute";
            sdiv.style.zIndex = 30;
            sdiv.style.left = xpos + "px";
            sdiv.style.top = ypos + "px";
            sdiv.style.width = width + "px";
            sdiv.style.height = "auto";
            sdiv.style.maxHeight = height + "px";
            sdiv.style.overflow = "auto";
            sdiv.style.background = "#fff";
            sdiv.style.visibility = "visible";
            sdiv.style.opacity = 1;
            sdiv.style.border = "1px solid #00807b";
            //sdiv.style.boxShadow = "0px 0px 5px 5px #8050c0";
            sdiv.style.boxShadow = "0px 0px 5px 5px #888";
            //sdiv.innerHTML = "";
            var obj = {
                Action: "SearchPatient",
                Search: data
            };
            Process(obj);
            sdiv.innerHTML = '<div class="searchdivtext">Loading...</div>';
        } else {
            sdiv.style.position = "absolute";
            sdiv.style.zIndex = 30;
            sdiv.style.left = xpos + "px";
            sdiv.style.top = ypos + "px";
            sdiv.style.width = "0px";
            sdiv.style.height = "0px";
            sdiv.style.overflow = "auto";
            sdiv.style.background = "#fff";
            sdiv.style.visibility = "hidden";
            sdiv.style.opacity = 0;
            sdiv.style.border = "none";
            sdiv.style.boxShadow = "none";
            sdiv.innerHTML = "";
            if (timerattempts < 10) {
                setTimeout(() => {
                    SearchPatientCheck();
                }, 1000);
                timerattempts = timerattempts + 1;
            } else {
                timerattempts = 0;
                searchtimeractive = false; // allow timer once again
                //-console.log("Timer attempts out.");
            }
        }
    }

    function SearchPatientCompleted(obj) {
        var divhtml = "";
        var list = {};
        var i = 0;
        divhtml = '';
        Object.keys(obj["data"]).forEach(function(key) {
            list[i] = obj["data"][key]["patNrP"] + ": " + obj["data"][key]["laName"] + ", " + obj["data"][key][
                "fiName"
            ];
            i = i + 1;
            //divhtml = divhtml + '<div class="searchdivitems">' + obj["data"][key]["patNrP"] + ": " + obj["data"][key]["laName"] + ", " + obj["data"][key]["fiName"] + '</div>';
            divhtml = divhtml + '	\
						<div class="searchdivitemsrownarrow" onclick="GoPatient(' + obj["data"][key]["patNrP"] + ');">	\
							<div class="searchdivitemscolsmallnarrow">	\
								' + obj["data"][key]["patNrP"] + '	\
							</div>	\
							<div class="searchdivitemscolbignarrow">	\
								' + obj["data"][key]["laName"] + ', ' + obj["data"][key]["fiName"] + ' ' + obj["data"][key]["sexP"] + ' ' +
                obj["data"][key]["dateBirth"] + '	\
							</div>	\
						</div>	\
			';
            /*
            <div class="searchdivitemscolsmall">' + obj["data"][key]["patNrP"] + '<br />	\
            	' + obj["data"][key]["sexP"] + ' : ' + obj["data"][key]["dateBirth"] + '	\
            </div>	\
            <div class="searchdivitemscolbig">' + obj["data"][key]["laName"] + ", " + obj["data"][key]["fiName"] + '<br />	\
            	' + obj["data"][key]["streetP"] + ', ' + obj["data"][key]["zipCity"] + '. Tel: ' + obj["data"][key]["telephoneP"] + '	\
            </div>	\
            */
        });
        if (divhtml.length > 0) {
            divhtml = '<div class="searchdivtable">' + divhtml + '</div>';
        } else {
            divhtml = '<div class="searchdivtext">No match found.</div>';
        }
        document.getElementById("searchdiv").innerHTML = divhtml;
        searchtimeractive = false; // allow timer once again
        timeroverride = false;
    }
    var searchtimeractive = false;
    var searchtime = "";
    var searchstring = "";
    var timeroverride = false;
    var timerattempts = 0;
    var skipsearchkeys = [17, 18, 35, 36, 37, 38, 39, 40];

    function SearchPatientActive(e) {
        e = e || window.event;
        var x = e.which || e.keyCode;
        console.log("SearchPatientActive();");
        console.log(skipsearchkeys.includes(x));
        if (!(skipsearchkeys.includes(x))) { // skip ctrl, alt, home, end, arrow keys etc
            if (searchtimeractive == false) {
                searchtimeractive = true;
                timerattempts = 0;
                setTimeout(() => {
                    SearchPatientCheck();
                }, 1000);
            }
            var d = new Date();
            searchtime = d.getTime();
            searchstring = document.getElementById("B_patNr").value;
        }
        if (x == 13) {
            if (isNaN(document.getElementById("B_patNr").value)) {
                if (timeroverride == false) {
                    if (searchtimeractive == true) {
                        timeroverride = true;
                    }
                    SearchPatient("Manual");
                }
            } else {
                document.getElementById("GoSearchPatient").click();
            }
        }
    }

    function SearchPatientCheck() {
        var d = new Date();
        var t = d.getTime();
        var data = document.getElementById("B_patNr").value;
        //-console.log("SearchPatientCheck();");
        //if ((data.trim().length >= 1) && ((t - searchtime) > 2000)) { // 2s (2000ms)
        if (searchtimeractive == true) {
            if ((t - searchtime) > 2000) { // 2s (2000ms)
                if (timeroverride == false) {
                    //-console.log("SearchPatient();");
                    SearchPatient();
                } else {
                    //-console.log("Timer override detected.");
                    //timeroverride = false;
                }
            } else {
                //-console.log("reset");
                setTimeout(() => {
                    SearchPatientCheck();
                }, 1000);
            }
        }
    }

    function GoPatient(patNr) {
        var sdiv = document.getElementById("searchdiv");
        document.getElementById("B_patNr").value = patNr;
        sdiv.style.width = "0px";
        sdiv.style.height = "0px";
        sdiv.style.visibility = "hidden";
        sdiv.style.opacity = 0;
    }

    function checkDate(y, m, d) {
        var ok, date = new Date(y, --m, d);
        // --
        ok = (y == date.getFullYear() && m == date.getMonth() && d == date.getDate());
        return (ok) ? date : false;
    }

    function test_zahl(z) {
        var chkZ = 0;
        for (i = 0; i < z.length; ++i)
            if (z.charAt(i) < "0" || z.charAt(i) > "9")
                chkZ = -1;
        if (chkZ == -1) {
            alert("Bitte geben Sie eine Zahl als Patientennummer an!");
            return false;
        } else return true;
    }


    function check_before_submit(myform) {
        var my_msg = "";
        //alert ("Pat-Nr: "+myform.B_patNr.value);

        //  if (myform.B_patNr.value.length == 0 ||  test_zahl(myform.B_patNr.value) == false )
        if (myform.B_patNr.value.length > 0 && test_zahl(myform.B_patNr.value) == false) {
            var msg_tit = "Bitte geben Sie eine Zahl als Patientennummer an.\nSie haben eingegeben: " + myform.B_patNr
                .value + "\n";
            // transl.: msg_title="Please give a patient number. You have typed in: "#myform.B_patNr.....
            //    if (myform.B_patNr.value.length > 0) {
            // for debugging: message what user has typed in:
            //       msg_tit=msg_tit+ "Sie haben eingegeben: "+myform.B_patNr.value+"\n";
            //    }
            /* myform.O_TITLE.focus(); */
            /* document.forms['InsForm'].O_TITLE.focus();   */
            /* window.document.forms['InsForm'].elements['O_TITLE'].focus(); */
            document.forms['InsForm'].elements['B_patNr'].focus();
            /* document.InsForm.O_TITLE.focus(); */
            my_msg = my_msg + msg_tit;
        }

        // carriage returns aus Bemerkung herausholen
        if (myform.B_rem5.value != "") {
            myform.B_rem5.value = myform.B_rem5.value.replace(/\n/gi, " ");
            myform.B_rem5.value = myform.B_rem5.value.replace(/\n/gi, " ");
            myform.B_rem5.value = myform.B_rem5.value.replace(/\n/gi, " ");
        }

        // check date
        var dd = myform.B_datUser.value;
        /* german notation of date */
        //alert("uiui  DatUser: "+dd);
        if (dd.search(/^([0-2]?[0-9]|[3][0-1])\.(1[0-2]|0?[1-9])\.?(\d{4}|\d{2})?$/) == -1) {
            var msg_dat = "Bitte geben Sie ein gültiges Datum ein (z.B. 3.5.02, 23.12 oder 08.5.2003)\n";
            my_msg = my_msg + msg_dat;
        } else {
            var spl = dd.split('.');
            if (dd.search(/\..+\./) == -1 || spl[2] == "") {
                // only day and month typed in, no year -> determine the running year;
                hdate = new Date();
                var y = hdate.getFullYear();
            } else {
                var y = ("20" + spl[2]).substr((spl[2].length - 2), 4);
            }
            if (spl[0].length == 2) {
                d = spl[0];
            } else {
                d = "0" + spl[0];
            }
            if (spl[1].length == 2) {
                m = spl[1];
            } else {
                m = "0" + spl[1];
            }
            //alert ("cvcv _"+d+ "." + m + "."+ y+"_");
            if (!checkDate(y, m, d)) {
                var msg_dat = "Bitte geben Sie ein gültiges Datum ein, (z.B. 3.5.02, 23.12 oder 08.5.2003)\n";
                // transl.: msg_dat="Please type in a valid date, (e.g. 2.5.02, 23.12 or 01.5.2003 )
                myform.B_datUser.focus();
                my_msg = my_msg + msg_dat;
            } else {
                myform.y_datUser.value = y + m + d;
            }
        }

        //alert("lblb  pause ");

        if (my_msg != "") {
            alert(my_msg);
            return false;
        }
        //alert("a0a0  ready");

        //return false;

        //*****************************************************************************//
        //******************* All Checks finished *************************************//
        //*****************************************************************************//
        var i = 0; // flag, if >0  then something has changed
        // in u_array[i]  : names of fields
        //    u_array2[i] : new value of fields


        //  ***** Update - compose data record   ******* //

        entity = new Array();
        e_value = new Array();

        //alert ("jcjc B_patNr" + myform.B_patNr.value + " Z_PartNr: "+ myform.z_patNr.value);
        if (myform.B_patNr.value != myform.z_patNr.value) {
            entity[i] = "patNr";
            // °^§  is escape sequence because of too many " '  in text sequences. Not done professionally ;) 20 years ago, Eckard
            // °^§  is simply substituted in inbox.php by " or  '  ;)
            e_value[i] = "°^§" + myform.B_patNr.value + "°^§";
            i++;
        }
        if (myform.B_fromTo.value != myform.z_fromTo.value) {
            entity[i] = "fromTo";
            e_value[i] = "°^§" + myform.B_fromTo.options[myform.B_fromTo.selectedIndex].value + "°^§";
            i++;
        }
        if (myform.B_fromToName.value != myform.z_fromToName.value) {
            entity[i] = "fromToName";
            e_value[i] = "°^§" + myform.B_fromToName.value + "°^§";
            i++;
        }
        if (myform.B_dtypUser.value != myform.z_dtypUser.value) {
            entity[i] = "dtypUser";
            e_value[i] = "°^§" + myform.B_dtypUser.options[myform.B_dtypUser.selectedIndex].value + "°^§";
            i++;
        }
        if (myform.B_datUser.value != myform.z_datUser.value) {
            entity[i] = "datUser";
            e_value[i] = "°^§" + myform.y_datUser.value +
                "°^§"; // here y_datUser as exception, dat (date) in other format
            i++;
        }
        if (myform.B_discipl.value != myform.z_discipl.value) {
            entity[i] = "discipl";
            e_value[i] = "°^§" + myform.B_discipl.options[myform.B_discipl.selectedIndex].value + "°^§";
            i++;
        }
        if (myform.B_rem5.value != myform.z_rem5.value) {
            entity[i] = "rem5";
            e_value[i] = "°^§" + myform.B_rem5.value + "°^§";
            i++;
        }


        // ======================= SQL-String zusammenstellen ==========================

        if (i > 0) {
            var u = "";
            for (j = 0; j < i - 1; j++) {
                u += entity[j] + "=" + e_value[j] + ",";
            }
            u += entity[j] + "=" + e_value[j];
            //alert("e4e4 update-Seq: " + u);
            myform.zUpdate.value = "update doarch set " + u + " where id = " + "°^§" + myform.y_nr.value + "°^§";
            //alert("e5e5 update-Seq: " + u);
            parent.document.getElementsByTagName("frameset")[0].rows = "100%,*";
            return true;
            //return false;
        } else {
            alert(" Es ist gar kein Feld verändert worden. !");
            // transl.: alert (" You changed no field!");
            return false;
        }
        //parent.document.getElementsByTagName("frameset")[0].rows="100%,*";
        return true;
    }


    // -->
    </script>
</head>


<body text="#000000" bgcolor="#a5adff" link="#3333FF" vlink="#3333FF" alink="#FFFFFF">

    <?php
  $aiNr = $_GET['aiNr'];   //auto increment nr (row id in table d)
  $pers = $_GET['pers'];
  $wsid = $_GET['wsid'];
  // $rand_nr=mt_rand(1000,9999);
  include("./db72.php");
  $SQL="Select * from doarch where id=".$aiNr;
  $res=mysqli_query($connect,$SQL);
  echo mysqli_error();
  $row=mysqli_fetch_array($res);
?>

    <Form action="inbox.php" name="InsForm" target="f_inbox"
        onSubmit="return check_before_submit(self.document.InsForm)" method="post">

        <table border=0 cellpadding=2 cellspacing=2>
            <tr>
                <td>
                    <!=================================EditFormular=====================================>
                        <?php
// z-Fields: original data, from sql database
// y-Fields: filled by javascript, if something has changed -> pick up   into SQL-update-String
// B-Fields: visible for user. these fields are filled at beginning

echo "<b><font size=+1>Nr.:".$aiNr."</font></b>&nbsp;&nbsp;&nbsp;&nbsp;";
?>

                </td>
                <td>
                    Pat-Nr: </td>
                <td>
                    <Input name=z_patNr size=5 type=hidden value="<?php print $row[patNr] ?>">
                    <Input name=B_patNr id="B_patNr" size=7 maxlength=12 value="<?php print $row[patNr] ?>"
                        onkeydown="SearchPatientActive(event);">
                    <div id="searchdiv"></div>
                </td>
                <td>
                    von/an:</td>
                <td>
                    <Input name=z_fromTo size=3 type=hidden value="<?php print $row[fromTo] ?>">
                    <select name="B_fromTo" size="1">
                        <!onchange="alert("eingabe: "+O_DATE_AB_BIS.options[this.form.O_DATE_AB_BIS.selectedIndex].value)">
                            <?php
    if ($row[fromTo]=="an")
      print"<option value='von'>von</option>\n<option value='an' selected>an</option>\n";
    else
      print"<option value='von' selected>von</option>\n<option value='an' >an</option>\n";
  ?>
                    </select>
                </td>
                <td>
                    von/an:</td>
                <td>
                    <Input name=z_fromToName size=3 type=hidden value="<?php print $row[fromToName] ?>">
                    <select name="B_fromToName" size="1">
                        <?php
     $fp=@fopen("textdata/fromToName.txt", "r");
     $gefunden="false";
     while(feof($fp)==0) {
       $fromToName=rtrim(fgets($fp,100));
       if (($fromToName)==$row[fromToName]) {
         echo "<option value='".$fromToName."' title='".$fromToName."' selected>". ((strlen($fromToName) > 31) ? substr($fromToName, 0, 31) . '...' : $fromToName) ."</option>";
	     $gefunden="true";

       } else {
         echo "<option value='".$fromToName."' title='".$fromToName."'>". ((strlen($fromToName) > 31) ? substr($fromToName, 0, 31) . '...' : $fromToName) ."</option>";
       }
       $i++;
     }
     if ($gefunden=="false") {
         print "<option value='".$row[fromToName]."' selected>".$row[fromToName]."</option>\n";
     }
     fclose($fp);
  ?>
                    </select>

                </td>

            </tr>
            <tr>
                <td></td>
                <td>
                    Dat.Archiv:</td>
                <td>
                    <!-- Dat = date -->
                    <?php
  $dd=substr($row[datUser],8,2).".".substr($row[datUser],5,2).".".substr($row[datUser],0,4);
  ?>
                    <Input name=z_datUser size=10 type=hidden value="<?php print $dd ?>">
                    <Input name=y_datUser size=10 type=hidden value="">
                    <Input name=B_datUser size=10 maxlength=10 value="<?php print $dd ?>">

                </td>
                <td>
                    Fachgebiet:</td>
                <td>
                    <Input name=z_discipl size=10 type=hidden value="<?php print $row[discipl] ?>">
                    <select name="B_discipl" size="1">
                        <!onchange="alert("eingabe: "+O_DATE_AB_BIS.options[this.form.O_DATE_AB_BIS.selectedIndex].value)">
                            <?php
     $fp=@fopen("textdata/discipl.txt", "r");
     $gefunden="false";
     while(feof($fp)==0) {
       $discipl=rtrim(fgets($fp,100));
       if (($discipl)==$row[discipl]) {
         echo "<option value='".$discipl."' selected>".$discipl."</option>";
         $gefunden="true";
       } else {
       echo "<option value='".$discipl."'         >".$discipl."</option>";
       }
       $i++;
     }
     if ($gefunden=="false") {
         print "<option value='".$row[discipl]."' selected>".$row[discipl]."</option>\n";
     }
     fclose($fp);
  ?>
                    </select>
                </td>
                <td>
                    Dok.Typ:</td>
                <td>
                    <Input name=z_dtypUser size=3 type=hidden value="<?php print $row[dtypUser] ?>">
                    <select name="B_dtypUser" size="1">
                        <?php
     $fp=@fopen("textdata/docName.txt", "r");
     $gefunden="false";
     while(feof($fp)==0) {
       $docName=rtrim(fgets($fp,100));
       if (($docName)==$row[dtypUser]) {
         echo "<option value='".$docName."' selected>".$docName."</option>";
         $gefunden="true";
       } else {
       echo "<option value='".$docName."'         >".$docName."</option>";
       }
       $i++;
     }
     if ($gefunden=="false") {
         print "<option value='".$row[dtypUser]."' selected>".$row[dtypUser]."</option>\n";
     }
     fclose($fp);
  ?>
                    </select>

                </td>




            </tr>
        </table>
        <table border=0 cellpadding=2 cellspacing=2 width="1100px">
            <tr>
                <td width="120px">
                    <br>Bemerkung:
                </td>
                <td width="80px">
                    <Input name=z_rem5 size=1 type=hidden value="<?php print $row[rem5] ?>">
                    <textarea cols=40 rows=2 name=B_rem5><?php echo $row[rem5];?></textarea>

                </td>
                <td width="90px">
                </td>
                <td width="30px">
                    <input type=button value="abbrechen/zur&uuml;ck"
                        onClick="parent.document.getElementsByTagName('frameset')[0].rows='100%,*'">
                    <!--  abbrechen = cancel , zurück = back -->
                </td>
                <td width="60px"></td>
                <td width="0px" align="left">
                    <input type=submit value=Speichern> <!-- Speichern = save -->
                </td>
            </tr>
        </table>


        <Input name=work size=6 type="hidden" value="edit">
        <br><Input name=y_nr size=6 type=hidden value="<?php print $aiNr ?>">
        <!-- input type=Reset value='Alle Eingabefelder zurücksetzen' -->

        <input name="pers" size=30 type="hidden" value="<?php echo $pers; ?>">
        <input name="wsid" size=4 type="hidden" value="<?php echo $wsid; ?>">
        <Input name="zUpdate" size=80 type="hidden" maxlength=1255 value=''>
    </Form>
    <?php
   //echo "<br>7878: wsid: ".$wsid."  pers: ".$pers." zUpdate: ".$zUpdate;
?>

    <script language="JavaScript">
    <!--
    i = 0;
    while (top.f_inbox.document.EingForm.sel_it[i]) {
        top.f_inbox.document.EingForm.sel_it[i].checked = false;
        i++;
    }
    if (i == 0 && top.f_inbox.document.EingForm.sel_it ==
        true) // exception: only one sel_it, then array sel_it[0] not exist
        top.f_inbox.document.EingForm.sel_it.checked = false;

    document.forms['InsForm'].elements['B_patNr'].focus();


    // 
    -->
    </script>

</body>